Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Interface OpenJPAEntityManagerSPI

All Superinterfaces:
  EntityManager, EntityTransaction, OpenJPAEntityManager

All Known Implementing Classes:
  EntityManagerImpl

    public interface OpenJPAEntityManagerSPI

extends OpenJPAEntityManager

Field Summary

Fields inherited from interface org.apache.openjpa.persistence.OpenJPAEntityManager
`CALLBACK_FAIL_FAST, CALLBACK_IGNORE, CALLBACK_LOG, CALLBACK_RETHROW, CALLBACK_ROLLBACK, CLEAR_ALL, CLEAR_DATASTORE, CONN_RETAIN_ALWAYS, CONN_RETAIN_DEMAND, CONN_RETAIN_TRANS, DETACH_ALL, DETACH_CLOSE, DETACH_COMMIT, DETACH_FETCH_GROUPS, DETACH_FGS, DETACH_LOADED, DETACH_NONTXREAD, DETACH_ROLLBACK, RESTORE_ALL, RESTORE_IMMUTABLE, RESTORE_NONE`

Method Summary
`void` | `addLifecycleListener(Object listener, Class... classes)` Register a listener for lifecycle-related events on the specified classes.
`void` | `addTransactionListener(Object listener)` Register a listener for transaction-related events.
`OpenJPAConfiguration` | `getConfiguration()` Return the configuration associated with this entity manager.
`EnumSet<CallbackMode>` | `getLifecycleListenerCallbackModes()` The `CallbackMode` flags for handling lifecycle listener exceptions.
`ManagedRuntime` | `getManagedRuntime()` Return the managed runtime in use.
`boolean` | `getQuerySQLCache()` Affirms if this receiver is caching database queries.
`EnumSet<CallbackMode>` | `getTransactionListenerCallbackModes()` The `CallbackMode` flags for handling transaction listener exceptions.
`void` | `removeLifecycleListener(Object listener)` Remove a listener for lifecycle-related events.
`void` | `removeTransactionListener(Object listener)` Remove a listener for transaction-related events.
`void` | `setLifecycleListenerCallbackMode(CallbackMode mode)` The `CallbackMode` flag for handling lifecycle listener exceptions.
`void` | `setLifecycleListenerCallbackMode(EnumSet<CallbackMode> modes)` The `CallbackMode` flags for handling lifecycle listener exceptions.
`void` | `setQuerySQLCache(boolean flag)` Sets whether this receiver will cache database queries during its lifetime.
`void` | `setTransactionListenerCallbackMode(CallbackMode mode)` The `CallbackMode` flag for handling transaction listener exceptions.
`void` | `setTransactionListenerCallbackMode(EnumSet<CallbackMode> modes)` The `CallbackMode` flags for handling transaction listener exceptions.

Methods inherited from interface org.apache.openjpa.persistence.OpenJPAEntityManager
`begin, beginStore, cancelAll, commit, commitAndResume, containsAll, containsAll, createDynamicQuery, createExtent, createInstance, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, createQuery, createQuery, detachAll, detachAll, detachCopy, dirty, dirtyClass, evict, evictAll, evictAll, evictAll, evictAll, evictAll, findAll, findAll, findCached, getAutoClear, getAutoDetach, getClassLoader, getConnection, getConnectionPassword, getConnectionRetainMode, getConnectionUserName, getCriteriaBuilder, getDetachState, getDirtyObjects, getEntityManagerFactory, getEvictFromStoreCache, getFetchPlan, getFieldGenerator, getIdGenerator, getIgnoreChanges, getLifecycleListenerCallbackMode, getLockMode, getManagedObjects, getMultithreaded, getNamedGenerator, getNontransactionalRead, getNontransactionalWrite, getObjectId, getObjectIdClass, getOptimistic, getOrderDirtyObjects, getPendingTransactionalObjects, getPersistedClasses, getPopulateStoreCache, getRemovedClasses, getRestoreState, getRetainState, getRollbackCause, getRollbackOnly, getSupportedProperties, getSyncWithManagedTransactions, getTransaction, getTransactionalObjects, getTransactionListenerCallbackMode, getUpdatedClasses, getUserObject, getVersion, isActive, isDetached, isDirty, isLargeTransaction, isManaged, isNewlyPersistent, isPersistent, isRemoved, isStoreActive, isTrackChangesByType, isTransactional, isTransactionManaged, lock, lock, lockAll, lockAll, lockAll, lockAll, mergeAll, mergeAll, nontransactional, nontransactionalAll, nontransactionalAll, persistAll, persistAll, popFetchPlan, preFlush, pushFetchPlan, putUserObject, refreshAll, refreshAll, refreshAll, release, releaseAll, releaseAll, releaseSavepoint, releaseSavepoint, removeAll, removeAll, retrieve, retrieveAll, retrieveAll, rollback, rollbackAndResume, rollbackToSavepoint, rollbackToSavepoint, setAutoClear, setAutoClear, setAutoDetach, setAutoDetach, setAutoDetach, setAutoDetach, setAutoDetach, setDetachState, setDetachState, setEvictFromStoreCache, setIgnoreChanges, setLargeTransaction, setLifecycleListenerCallbackMode, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setOrderDirtyObjects, setPopulateStoreCache, setRestoreState, setRestoreState, setRetainState, setRollbackOnly, setRollbackOnly, setSavepoint, setSyncWithManagedTransactions, setTrackChangesByType, setTransactionListenerCallbackMode, transactional, transactionalAll, transactionalAll, validateChanges`

Methods inherited from interface javax.persistence.EntityManager
`clear, close, contains, createNamedQuery, createQuery, createQuery, detach, find, find, find, find, flush, getDelegate, getFlushMode, getMetamodel, getProperties, getReference, isOpen, joinTransaction, lock, lock, merge, persist, refresh, refresh, refresh, refresh, remove, setFlushMode, setProperty, unwrap`

Method Detail

### getConfiguration

    OpenJPAConfiguration getConfiguration()

  Return the configuration associated with this entity manager.

  Specified by:
    `getConfiguration` in interface `OpenJPAEntityManager`

### getManagedRuntime

    ManagedRuntime getManagedRuntime()

  Return the managed runtime in use.

### addTransactionListener

    void addTransactionListener(Object listener)

  Register a listener for transaction-related events.

  Specified by:
    `addTransactionListener` in interface `OpenJPAEntityManager`

### removeTransactionListener

    void removeTransactionListener(Object listener)

  Remove a listener for transaction-related events.

  Specified by:
    `removeTransactionListener` in interface `OpenJPAEntityManager`

### getTransactionListenerCallbackModes

    EnumSet<CallbackMode> getTransactionListenerCallbackModes()

  The `CallbackMode` flags for handling transaction listener exceptions.

  Since:
    1.1.0

### setTransactionListenerCallbackMode

    void setTransactionListenerCallbackMode(CallbackMode mode)

  The `CallbackMode` flag for handling transaction listener exceptions. The flags provided here will entirely replace the previous settings.

### setTransactionListenerCallbackMode

    void setTransactionListenerCallbackMode(EnumSet<CallbackMode> modes)

  The `CallbackMode` flags for handling transaction listener exceptions. The flags provided here will entirely replace the previous settings.

### addLifecycleListener

    void addLifecycleListener(Object listener,
                              Class... classes)

  Register a listener for lifecycle-related events on the specified classes. If the classes are null, all events will be propagated to the listener.

  Specified by:
    `addLifecycleListener` in interface `OpenJPAEntityManager`

### removeLifecycleListener

    void removeLifecycleListener(Object listener)

  Remove a listener for lifecycle-related events.

  Specified by:
    `removeLifecycleListener` in interface `OpenJPAEntityManager`

### getLifecycleListenerCallbackModes

    EnumSet<CallbackMode> getLifecycleListenerCallbackModes()

  The `CallbackMode` flags for handling lifecycle listener exceptions.

  Since:
    1.1.0

### setLifecycleListenerCallbackMode

    void setLifecycleListenerCallbackMode(CallbackMode mode)

  The `CallbackMode` flag for handling lifecycle listener exceptions. The flags provided here will entirely replace the previous settings.

### setLifecycleListenerCallbackMode

    void setLifecycleListenerCallbackMode(EnumSet<CallbackMode> modes)

  The `CallbackMode` flags for handling lifecycle listener exceptions. The flags provided here will entirely replace the previous settings.

### getQuerySQLCache

    boolean getQuerySQLCache()

  Affirms if this receiver is caching database queries.

  Since:
    2.0.0

### setQuerySQLCache

    void setQuerySQLCache(boolean flag)

  Sets whether this receiver will cache database queries during its lifetime. The cache configured at BrokerFactory level is not affected by setting it inactive for this receiver.

  Since:
    2.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.